Package de.willuhn.jameica.hbci.rmi

# Interface DBReminder

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `DBReminderImpl`

public interface DBReminder extends HibiscusDBObject
Ein in der Datenbank gespeicherter Reminder.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.reminder.Reminder`
`getReminder()`
Liefert das zugehoerige Reminder-Objekt.
`String`
`getUUID()`
Liefert die UUID des Reminders.
`void`
`setReminder(de.willuhn.jameica.reminder.Reminder reminder)`
Speichert das zugehoerige Reminder-Objekt.
`void`
`setUUID(String uuid)`
Speichert die UUID des Reminders.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getUUID

String getUUID() throws RemoteException
Liefert die UUID des Reminders.

Returns:
  die UUID des Reminders.
Throws:
  `RemoteException`

### setUUID

void setUUID(String uuid) throws RemoteException
Speichert die UUID des Reminders.

Parameters:
  `uuid` - die UUID des Reminders.
Throws:
  `RemoteException`

### getReminder

de.willuhn.jameica.reminder.Reminder getReminder() throws RemoteException
Liefert das zugehoerige Reminder-Objekt.

Returns:
  das zugehoerige Reminder-Objekt.
Throws:
  `RemoteException`

### setReminder

void setReminder(de.willuhn.jameica.reminder.Reminder reminder) throws RemoteException
Speichert das zugehoerige Reminder-Objekt.

Parameters:
  `reminder` - das zugehoerige Reminder-Objekt.
Throws:
  `RemoteException`